extends State





### 	 ACCESSORS 	 ###






### 	 BUILT-IN 	 ###

func _ready() -> void:
	pass




### 	 VIRTUAL 	 ###

func enter_state() -> void:
	owner.select_sprite.set_deferred("visible", true)


func exit_state(same : bool = false) -> void:
	owner.select_sprite.set_deferred("visible", false)

### 	 LOGIC 	 ###




### 	 SIGNAL-RESPONSE 	 ###
